Bug 861831 - GNOME 3 Activities panel takes several minutes to appear after login on ATI FirePro V4800
GNOME 3 Activities panel takes several minutes to appear after login on ATI F...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 21:30 EDT by Adam Joseph Cook
Modified: 2014-09-13 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-18 04:03:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg output with 'drm.debug=14' kernel parameter set (221.33 KB, text/plain)
2012-09-30 21:30 EDT, Adam Joseph Cook
no flags Details
All Xorg.*.log files directly after waiting for Activities panel to appear (50.00 KB, application/x-gzip)
2012-09-30 21:31 EDT, Adam Joseph Cook
no flags Details
All /var/log/gdm logs directly after waiting for Activities panel to appear (100.00 KB, application/x-gzip)
2012-09-30 21:32 EDT, Adam Joseph Cook
no flags Details

  None (edit)
Description Adam Joseph Cook 2012-09-30 21:30:22 EDT
Created attachment 619600 [details]
Dmesg output with 'drm.debug=14' kernel parameter set

Description of problem:
This test was performed in response to the Fedora 18 Alpha Radeon Test Day.

After logging on to a GNOME session successfully, it takes at least 2 minutes (but no more than 3 minutes) for the GNOME 3 Activities panel to appear at the top of the desktop. Obviously, the desktop is unusable until this appears. When tested, this happens even after logging in from a fresh reboot or shutdown. No other users are logged in to the system.

I have only enough software on this system to perform the Radeon Test Day tests outlined here: http://fedoraproject.org/wiki/Test_Day:2012-09-26_Radeon

I have filed this against the ATI driver since I did not notice this issue on my NVIDIA system (http://www.smolts.org/client/show/pub_5eda5764-938d-45bb-a643-25f88855c697).

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.x86_64
gnome-shell-3.6.0-1.fc18.x86_64

How reproducible:
Almost always. It happens 90% of the time by my estimation.

Steps to Reproduce:
1. Startup system.
2. Login to GNOME desktop.
3. Wait 2 to 3 minutes for GNOME 3 Activities panel to appear.
  
Actual results:
The GNOME 3 Activities panel takes 2 to 3 minutes to appear after a user logs in to the desktop.

Expected results:
The GNOME 3 Activities panel should not take but a few seconds to appear after login assuming no other user-specified login tasks are being run.

Additional info:
* Smolt profile:
http://www.smolts.org/client/show/pub_93c84bef-cc7a-4308-b3d6-42916961926b

Not sure if it is related to this issue, but I filed another bug which highlights the very long time it takes this system to display the GDM login.
https://bugzilla.redhat.com/show_bug.cgi?id=861755
Comment 1 Adam Joseph Cook 2012-09-30 21:31:24 EDT
Created attachment 619601 [details]
All Xorg.*.log files directly after waiting for Activities panel to appear
Comment 2 Adam Joseph Cook 2012-09-30 21:32:17 EDT
Created attachment 619603 [details]
All /var/log/gdm logs directly after waiting for Activities panel to appear
Comment 3 Martin 2013-06-11 11:46:28 EDT
Adam, are you able to reproduce it on latest Fedora 18 or 19?
Comment 4 Fedora End Of Life 2013-12-21 03:59:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Michal Domonkos 2014-06-18 04:03:21 EDT
Does not happen to me on the very same card with F20 or RHEL7; there's no delay in loading the top panel after login.  Closing now.

Note You need to log in before you can comment on or make changes to this bug.